# Interface KeyName

All Superinterfaces:
  `XMLStructure`

public interface KeyName extends XMLStructure
A representation of the XML `KeyName` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. A `KeyName` object contains a string value which may be used by the signer to communicate a key identifier to the recipient. The XML Schema Definition is defined as:

    <element name="KeyName" type="string"/>

A `KeyName` instance may be created by invoking the `newKeyName` method of the `KeyInfoFactory` class, and passing it a `String` representing the name of the key; for example:

    KeyInfoFactory factory = KeyInfoFactory.getInstance("DOM");
    KeyName keyName = factory.newKeyName("Alice");

Since:
  1.6
See Also:
  - `KeyInfoFactory.newKeyName(String)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this `KeyName`.

  ### Methods declared in interface XMLStructure

  `isFeatureSupported`

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this `KeyName`.
    Returns:
      the name of this `KeyName` (never `null`)